{
  "extends": ["standard-with-typescript", "prettier"],
  "env": {
    "browser": true,
    "node": true
  },
  "parserOptions": {
    "project": "tsconfig.json",
    "sourceType": "module"
  },
  "plugins": ["@typescript-eslint"],
  "rules": {
    "@typescript-eslint/array-type": [
      "error",
      {
        "default": "generic"
      }
    ],
    "@typescript-eslint/promise-function-async": "off",
    "@typescript-eslint/prefer-function-type": "off",
    "@typescript-eslint/no-redeclare": "off",
    "@typescript-eslint/consistent-type-assertions": "off",
    "@typescript-eslint/indent": "off",
    "@typescript-eslint/no-invalid-void-type": "off",
    "guard-for-in": "error",
    "no-console": "off",
    "no-underscore-dangle": "off",
    "no-use-before-define": "off",
    "spaced-comment": "off"
  },
  "overrides": [
    {
      "files": ["test/*.ts"],
      "rules": {
        "@typescript-eslint/explicit-function-return-type": "off",
        "@typescript-eslint/no-var-requires": "off"
      }
    }
  ]
}
